Bug 731706 - Might be wise to set CONFIG_USB_XHCI_HCD to Y
Summary: Might be wise to set CONFIG_USB_XHCI_HCD to Y
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 12:35 UTC by Thorsten Leemhuis
Modified: 2011-08-28 05:37 UTC (History)
6 users (show)

Fixed In Version: kernel-3.1.0-0.rc3.git0.0.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-19 17:39:10 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2011-08-18 12:35:01 UTC
Description of problem:
config-generic right now defines CONFIG_USB_XHCI_HCD as "m" and dracut doesn't include the resulting module (xhci-hcd) it in the initramfs that is build for Live and install ISOs. 

Hence they won't boot if you transfer the ISOs to a USB flash drive which you then connected to a USB port that is handled by a XHCI controller, as the driver for that controller is unreachable in the initramfs stage -- hence dracut can't find the RootFS and has to give up.

There are two solutions to solve this:
- always build xhci-hcd into the images dracut builds
- set CONFIG_USB_XHCI_HCD to Y

Comment 1 Josh Boyer 2011-08-18 13:02:57 UTC
Setting it to =y seems pretty simple.  The =m setting we have now pre-dates fedora git so it's ancient ;).

I'll see if I can dig up the commit for the =m to make sure I'm not missing something obvious.

Comment 2 Josh Boyer 2011-08-19 17:39:10 UTC
Should be fixed in tomorrow's rawhide.

Comment 3 Fedora Update System 2011-08-23 11:05:02 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc3.git0.0.fc16

Comment 4 Fedora Update System 2011-08-28 05:36:48 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.